shisa_principal_remove(3)

NAME
shisa_principal_remove - API function

SYNOPSIS
#include <shisa.h>

int shisa_principal_remove(Shisa * dbh, const char * realm, const char * principal);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of the realm the principal belongs to.

const char * principal
    Name of the principal to remove. Set to NULL, only the realm realm is removed.

DESCRIPTION
Removes all information stored in the database for the given principal PRINCIPAL@REALM. When principal is NULL, then the realm realm is itself removed, but this can only succeed if the realm is already empty of principals.

RETURN VALUE
Returns SHISA_OK if successful, or an error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.